Save This Page
Home » struts-2.1.8.1-src » org.apache » struts2 » interceptor » [javadoc | source]
org.apache.struts2.interceptor
public class: MultiselectInterceptor [javadoc | source]
java.lang.Object
   com.opensymphony.xwork2.interceptor.AbstractInterceptor
      org.apache.struts2.interceptor.MultiselectInterceptor
Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty Sting.
Method from org.apache.struts2.interceptor.MultiselectInterceptor Summary:
intercept
Methods from java.lang.Object:
clone,   equals,   finalize,   getClass,   hashCode,   notify,   notifyAll,   toString,   wait,   wait,   wait
Method from org.apache.struts2.interceptor.MultiselectInterceptor Detail:
 public String intercept(ActionInvocation actionInvocation) throws Exception 
    Just as the CheckboxInterceptor checks that if only the hidden field is present, so too does this interceptor. If the "__multiselect_" request parameter is present and its visible counterpart is not, set a new request parameter to an empty Sting.